Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Interface FileNameMapper

All Known Implementing Classes:
  ChainedMapper, CompositeMapper, ContainerMapper, CutDirsMapper, FilterMapper, FirstMatchMapper, FlatFileNameMapper, GlobPatternMapper, IdentityMapper, MergingMapper, PackageNameMapper, RegexpPatternMapper, ScriptMapper, UnPackageNameMapper

    public interface FileNameMapper

Interface to be used by SourceFileScanner.

Used to find the name of the target file(s) corresponding to a source file.

The rule by which the file names are transformed is specified via the setFrom and setTo methods. The exact meaning of these is implementation dependent.

Method Summary
`java.lang.String[]` | `mapFileName(java.lang.String sourceFileName)` Returns an array containing the target filename(s) for the given source file.
`void` | `setFrom(java.lang.String from)` Sets the from part of the transformation rule.
`void` | `setTo(java.lang.String to)` Sets the to part of the transformation rule.

Method Detail

### setFrom

    void setFrom(java.lang.String from)

  Sets the from part of the transformation rule.

  Parameters:
    `from` - a string.

### setTo

    void setTo(java.lang.String to)

  Sets the to part of the transformation rule.

  Parameters:
    `to` - a string.

### mapFileName

    java.lang.String[] mapFileName(java.lang.String sourceFileName)

  Returns an array containing the target filename(s) for the given source file.

  if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

  Parameters:
    `sourceFileName` - the name of the source file relative to some given basedirectory.
  Returns:
    an array of strings if the rule applies to the source file, or null if it does not.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD